com.h3c.util.pkt

## Class IcmpV6

- java.lang.Object
- - com.h3c.util.pkt.IcmpV6

- All Implemented Interfaces:
    Protocol

      public class IcmpV6
      extends Object
      implements Protocol

  ICMPv6 data store (immutable) and associated `IcmpV6.Builder` (mutable).

  Includes support for the following OpenFlow match fields:

  - ICMPv6 type
  - ICMPv6 code
  - target address for Neighbor Discovery
  - source link-layer for Neighbor Discovery
  - target link-layer for Neighbor Discovery

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IcmpV6.Builder` Builder (mutable) used to create new protocol instances.
    `static class` | `IcmpV6.NeighborAdvertiseData` Neighbor Discovery - Neighbor Advertisement data store (immutable).
    `static class` | `IcmpV6.NeighborSolicitData` Neighbor Discovery - Neighbor Solicitation data store (immutable).
    `static class` | `IcmpV6.RedirectData` Neighbor Discovery - Redirect message data store (immutable).
    `static class` | `IcmpV6.RouterAdvertiseData` Neighbor Discovery - Router Advertisement data store (immutable).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `bytes()` Returns a copy of the payload bytes.
    `int` | `checkSum()` Returns the decoded check sum.
    `ProtocolId` | `id()` Returns the protocol ID.
    `IcmpV6.NeighborAdvertiseData` | `neighborAdvertiseData()` Returns the neighbor advertise data.
    `IcmpV6.NeighborSolicitData` | `neighborSolicitData()` Returns the neighbor solicitation data.
    `IcmpOptionV6[]` | `options()` Returns a copy of the option array.
    `IcmpV6.RedirectData` | `redirectData()` Returns the redirect message data.
    `IcmpV6.RouterAdvertiseData` | `routerAdvertiseData()` Returns the router advertise data or null.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`
    `IcmpTypeCodeV6` | `typeCode()` Returns the type/code enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### typeCode

          public IcmpTypeCodeV6 typeCode()

      Returns the type/code enumeration.
      Returns:
        the type/code enumeration.

    - #### checkSum

          public int checkSum()

      Returns the decoded check sum.
      Returns:
        the check sum

    - #### routerAdvertiseData

          public IcmpV6.RouterAdvertiseData routerAdvertiseData()

      Returns the router advertise data or null.
      Returns:
        the router advertise data

    - #### neighborSolicitData

          public IcmpV6.NeighborSolicitData neighborSolicitData()

      Returns the neighbor solicitation data.
      Returns:
        the neighbor solicitation data

    - #### neighborAdvertiseData

          public IcmpV6.NeighborAdvertiseData neighborAdvertiseData()

      Returns the neighbor advertise data.
      Returns:
        the neighbor advertise data

    - #### redirectData

          public IcmpV6.RedirectData redirectData()

      Returns the redirect message data.
      Returns:
        the redirect message data

    - #### bytes

          public byte[] bytes()

      Returns a copy of the payload bytes.
      Returns:
        the payload bytes

    - #### options

          public IcmpOptionV6[] options()

      Returns a copy of the option array.
      Returns:
        the options array

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.